Fulfillment & ShippingPickup Points
Create pickup point
Creates a pickup point where customers can collect their orders.
POST
/v1/shipping/pickup-pointsCreates a pickup point where customers can collect their orders.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/shipping/pickup-points" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "address": "example", "locationId": "7204558912004325301", "connectionId": "7204558912004325301", "isExternal": false, "externalId": "7204558912004325301", "city": "example", "zone": "example" }'{ "id": "7204558912004325301"}